SDL_GPUTextureFormatTexelBlockSize(3)

NAME
SDL_GPUTextureFormatTexelBlockSize - Obtains the texel block size for a texture format.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

Uint32 SDL_GPUTextureFormatTexelBlockSize(
    SDL_GPUTextureFormat format);

FUNCTION PARAMETERS

format
    the texture format you want to know the texel size of.

RETURN VALUE
Returns the texel block size of the texture format.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_UploadToGPUTexture(3)